package com.yida.data.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.constant.FebsConstant;
import com.yida.data.common.core.entity.user.EduUserDevice;

import org.springframework.scheduling.annotation.Async;

import java.util.List;

public interface EduUserDeviceService extends IService<EduUserDevice> {

    /**
     * 保存/更新学生设备厂商关联信息
     */
    void saveUserDevice(EduUserDevice studentDevice);

    /**
     * 根据学生查询与设备厂商的关联信息
     */
    EduUserDevice getUserDeviceByUser(Long userId, Integer type);

    /**
     * 删除学生设备厂商关联信息
     */
    void delUserDevice(Long[] userIds, Integer type, Long faceGroupId);

    @Async(FebsConstant.ASYNC_POOL)
    void batchSaveUserDevice(List<EduUserDevice> list);
}
